Updates metadata or status of multiple files and folders

http
PUT https://services.leadconnectorhq.com/medias/update-files

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
altIdstringYessx6wyHhbFdRXh302LLNRAccount identifier
altTypestringYesaccountType of entity that owns the files Possible values: 'account'
  • filesToBeUpdated (object[], required): Array of file objects to be updated

    • id (string, required): Unique identifier of the file or folder to be updated Example: 686f9817f0d3165be9fbcef6

    • name (string): New name for the file or folder Example: Updated File Name.pdf

Responses

200 - Successful response
json
[
  {
    "updated": true,
    "id": "686f9817f0d3165be9fbcef6"
  }
]

Example

curl -X PUT 'https://services.leadconnectorhq.com/medias/update-files' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "sx6wyHhbFdRXh302LLNR",
  "altType": "account",
  "filesToBeUpdated": [
    {
      "id": "686f9817f0d3165be9fbcef6",
      "name": "Updated File Name.pdf"
    }
  ]
}'

Last updated October 26, 2026

Was this page helpful?